Bug 866507 - rhts-mk-generate-specfile filters out valid package names
rhts-mk-generate-specfile filters out valid package names
Product: Beaker
Classification: Community
Component: beah (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.10.0
: ---
Assigned To: Dan Callaghan
: Patch
Depends On:
  Show dependency treegraph
Reported: 2012-10-15 10:18 EDT by Nikolai Kondrashov
Modified: 2018-02-05 19:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-18 02:00:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch fixing the problem. (2.04 KB, patch)
2012-10-15 10:18 EDT, Nikolai Kondrashov
no flags Details | Diff

  None (edit)
Description Nikolai Kondrashov 2012-10-15 10:18:49 EDT
Created attachment 627458 [details]
Patch fixing the problem.

rhts-mk-generate-specfile considers package names appearing in Provides, Requires and RhtsRequires testinfo fields as invalid, if they start with a digit. Then it silently skips including them into the relevant fields in the resulting specfile, leaving a comment instead.
Comment 1 Dan Callaghan 2012-10-17 03:19:03 EDT
Thanks for the patch, Nikolai.

This could be released as a client-only hotfix.
Comment 2 Dan Callaghan 2012-10-18 02:00:13 EDT
Fixed in rhts-devel-4.52-3.

Note You need to log in before you can comment on or make changes to this bug.